This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 863607 - [abrt] libreoffice-core-3.5.6.2-4.fc17: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-4.fc17: Process /usr/lib64/libreoffice/progra...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:0b8bd85876d4e1feea891dca0be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 23:41 EDT by Toon Verstraelen
Modified: 2012-11-28 07:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 07:29:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (6.57 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: environ (3.15 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: event_log (2.15 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: backtrace (65.49 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: maps (81.27 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: dso_list (17.53 KB, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: open_fds (295 bytes, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
File: var_log_messages (339 bytes, text/plain)
2012-10-05 23:43 EDT, Toon Verstraelen
no flags Details
slides_crashing.odp (4.27 MB, application/vnd.oasis.opendocument.presentation)
2012-10-06 00:08 EDT, Toon Verstraelen
no flags Details
small_crashing_example.odp (41.11 KB, application/vnd.oasis.opendocument.presentation)
2012-10-06 00:49 EDT, Toon Verstraelen
no flags Details

  None (edit)
Description Toon Verstraelen 2012-10-05 23:41:10 EDT
Description of problem:
I have opened a random presentation and libreoffice crashed while it was half-way opening the file. I've tried different odp files, all with the same result.

Version-Release number of selected component:
libreoffice-core-3.5.6.2-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress slides.odp --splash-pipe=6
crash_function: SdXMLImExSvgDElement::~SdXMLImExSvgDElement
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 SdXMLImExSvgDElement::~SdXMLImExSvgDElement at /usr/src/debug/libreoffice-3.5.6.2/xmloff/inc/xexptran.hxx:157
: #1 SdXMLPathShapeContext::StartElement at /usr/src/debug/libreoffice-3.5.6.2/xmloff/source/draw/ximpshap.cxx:1494
: #2 SvXMLImport::startElement at /usr/src/debug/libreoffice-3.5.6.2/xmloff/source/core/xmlimp.cxx:687
: #3 sax_expatwrap::SaxExpatParser_Impl::callbackStartElement at /usr/src/debug/libreoffice-3.5.6.2/sax/source/expatwrap/sax_expat.cxx:811
: #4 doContent at lib/xmlparse.c:2443
: #5 contentProcessor at lib/xmlparse.c:2105
: #6 XML_ParseBuffer at lib/xmlparse.c:1651
: #7 sax_expatwrap::SaxExpatParser_Impl::parse at /usr/src/debug/libreoffice-3.5.6.2/sax/source/expatwrap/sax_expat.cxx:745
: #8 sax_expatwrap::SaxExpatParser::parseStream at /usr/src/debug/libreoffice-3.5.6.2/sax/source/expatwrap/sax_expat.cxx:533
: #9 ReadThroughComponent at /usr/src/debug/libreoffice-3.5.6.2/sd/source/filter/xml/sdxmlwrp.cxx:261
Comment 1 Toon Verstraelen 2012-10-05 23:43:08 EDT
Created attachment 622591 [details]
File: core_backtrace
Comment 2 Toon Verstraelen 2012-10-05 23:43:10 EDT
Created attachment 622592 [details]
File: environ
Comment 3 Toon Verstraelen 2012-10-05 23:43:11 EDT
Created attachment 622593 [details]
File: event_log
Comment 4 Toon Verstraelen 2012-10-05 23:43:13 EDT
Created attachment 622594 [details]
File: limits
Comment 5 Toon Verstraelen 2012-10-05 23:43:15 EDT
Created attachment 622595 [details]
File: backtrace
Comment 6 Toon Verstraelen 2012-10-05 23:43:17 EDT
Created attachment 622596 [details]
File: cgroup
Comment 7 Toon Verstraelen 2012-10-05 23:43:19 EDT
Created attachment 622597 [details]
File: maps
Comment 8 Toon Verstraelen 2012-10-05 23:43:21 EDT
Created attachment 622598 [details]
File: dso_list
Comment 9 Toon Verstraelen 2012-10-05 23:43:23 EDT
Created attachment 622599 [details]
File: open_fds
Comment 10 Toon Verstraelen 2012-10-05 23:43:25 EDT
Created attachment 622600 [details]
File: var_log_messages
Comment 11 Toon Verstraelen 2012-10-06 00:01:17 EDT
I just tried to save an empty presentation and then reopen it. That worked. It seems that the problem only occurs with presentations made some while ago, with a different version of openoffice.
Comment 12 Toon Verstraelen 2012-10-06 00:08:25 EDT
Created attachment 622609 [details]
slides_crashing.odp

This an example file that makes ooimpress crash.
Comment 13 Toon Verstraelen 2012-10-06 00:49:58 EDT
Created attachment 622619 [details]
small_crashing_example.odp

I could make a simpler example that crashes. This slide (just one page) is taken from a presentation made with a previous version of openoffice (don't know which) on ubuntu. It contains formulas created with the ooolatex plugin. I can still open this file with openoffice 3.5 on ubuntu. The ooolatex plugin seems to work well appart from this slide, so it is not a general ooolatex bug. Even when the plugin is uninstalled, ooimpress crashes when trying to open this file.
Comment 14 Toon Verstraelen 2012-10-06 01:49:41 EDT
After working with ooimpress with the ooolatex plugin for a while, ooimpress just crashes at rather unpredictable moments. Seems to be related.
Comment 15 Caolan McNamara 2012-10-08 09:40:13 EDT
I don't have that extension installed, and your examples are opening fine for me on x86_64 F-17
Comment 16 Michael Stahl 2012-10-08 10:29:16 EDT
can't reproduce crash either.

backtrace crashes in ~SdXMLImExSvgDElement which is
automatically generated; the object is:

         SdXMLImExSvgDElement aPoints(maD, aViewBox, aPosition, aSize, GetImport());

can only be some kind of memory corruption, running on valgrind
doesn't give anything interesting either...

Note You need to log in before you can comment on or make changes to this bug.